Page MenuHomePhabricator

Create password verification API with AuthManager
Closed, ResolvedPublic

Description

Create an API which can check passwords for strength and security policy compliance, and allow extensions to hook into the check. Note that the API should receive all login data, not just the password (it is common to disallow passwords which are very similar to the username, for example).

Event Timeline

Tgr created this task.Sep 3 2015, 2:44 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 2:44 AM

Change 324968 had a related patch set uploaded (by Anomie):
API: Add action=validatepassword

https://gerrit.wikimedia.org/r/324968

Anomie claimed this task.Dec 2 2016, 8:19 PM
Anomie added a project: MediaWiki-API.
Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.

Change 324968 merged by jenkins-bot:
API: Add action=validatepassword

https://gerrit.wikimedia.org/r/324968

Tgr closed this task as Resolved.Dec 21 2016, 3:07 AM